/*
 * NAME: movieUp.js for jQ Photographer's Exchange
 * AUTHOR: Jay Blanchard
 * DATE: 2011-03-05
 * BUSINESS RULE:   <if applicable>
 *
 * REVISION:    a20110305jb
 * STATUS:      open
 * USAGE:       call from web pages to provide gooey interactive goodness                        
 *
 * NOTES:       
 * 
 * REVISION HISTORY
 * 
 * a20110305jb  - create initial jQuery
 *
 */

$(document).ready(function() {
	$('body').ajaxStart(function(){
		/* create modal */
		var waitingModal = '<div class="waitingModal"><img src="grfx/loading.gif" border="0" /></div>';
		/* append it to the body */
		$('body').append(waitingModal);
		/* define the margins so that the modal is centered properly on the screen */
		var modalMarginTop = ($('.waitingModal').height() + 40) / 2;
		var modalMarginLeft = ($('.waitingModal').width() + 40) / 2;
		/* apply the margins to the modal window */
		$('.waitingModal').css({
			'margin-top' : -modalMarginTop,
			'margin-left' : -modalMarginLeft
		});
		$('.waitingModal').fadeIn('slow');
	});
	$('body').ajaxStop(function(){
		/* clear form */
		$('#addMovie input[name*="movie"]').val('');
		$('#addMovie textarea').val('');
		/* remove modal */
		$('.waitingModal').fadeOut('slow', function(){
			$(this).remove();
		});
	});
	$('#addMovie').submit(function(){
		/* create unique iFrame name */
		var iframeName = ('iframeUpload');
		/* configure iFrame */
		var iframeTemp = $('<iframe name="'+iframeName+'" src="about:blank" />');
		/* set the display properties */
		iframeTemp.css('display', 'none');			
		/* append the hidden iframe to the body */
		$('body').append(iframeTemp);
		/* submit the uploadForm */
		$(this).attr({				
			action: 'inc/dvdcover.php',
			method: 'post',
			enctype: 'multipart/form-data',
			encoding: 'multipart/form-data',
			target: iframeName
		});
		  
		setTimeout(function(){
			/* remove the iframe, its job is done here */
			iframeTemp.remove();
		}, 1000);
		
		/* put the form data together */
		var coverData = '&movieCover=' + $('input[name="movieCover"]').val();
		var formData = $(this).serialize();
		var uploadData = formData + coverData;
		$.post('inc/postdvd.php', uploadData);
	});
});
