/*
 * NAME: peajax.js for jQ Photographer's Exchange
 * AUTHOR: Jay Blanchard
 * DATE: 2011-03-21
 * BUSINESS RULE:   <if applicable>
 *
 * REVISION:    a20110321jb
 * STATUS:      open
 * USAGE:       call from web pages to provide server interaction                        
 *
 * NOTES:        
 *
 * REVISION HISTORY
 * 
 * a20110321jb  - create initial jQuery
 *
 */

$(document).ready(function() {
	/* new user name check */
	$('#penewuser').blur(function() {
	    var newName = $(this).val();
	    $.post('inc/peRegister.php', {
	        formName: 'register',
	        penewuser: newName
	    }, function(data){
	    	var usernameCount = data;
	    	if(1 == usernameCount){
	    		$('#penewuser').next('.error').css('display', 'inline');
	    	} else {
	    		$('#penewuser').next('.error').css('display', 'none');
	    	}
		}, 'html');
	});
	/* register new user */
	$('#registerForm').submit(function(e) {
		e.preventDefault();
		var formData = $(this).serialize();
		$.post('inc/peRegister.php', formData, function(data) {	
			var mysqlErrorNum = data;
			if(mysqlErrorNum > 0){
				/* there is an error let the user know */
				$('body').append('<div id="re" class="errorModal"><h3>There is an error with your registration</h3><p>Please correct your information and re-submit...</div>');
		        /* 
		         * define the margins so that the modal is centered properly on the screen
		         * we add 80px to the height/width to accomodate for the padding and border
		         * width defined in the css
		         */
		        var modalMarginTop = ($('#re').height() + 60) / 2;
		        var modalMarginLeft = ($('#re').width() + 60) / 2;
		        /* apply the margins to the modal window */
		        $('#re').css({
		            'margin-top' : -modalMarginTop,
		            'margin-left' : -modalMarginLeft
		        });
		        /* fade in the modal window and add a close button to it */
		        $('#re').fadeIn().prepend('<a href="#" class="close_error"><img src="grfx/close_button.png" class="close_button" title="Close Window" alt="Close" /></a>');
		        /*
		         * close the error modal and remove
		         */
		        $('a.close_error').live('click', function() {
		            $('#re').fadeOut(function() {
		                $('a.close_error, #re').remove();
		            });
		        });
			} else {
				/* fade out modal and clear form */
				$('#registerWindow, #modalShade').fadeOut(function() {
					$('#registerForm input[input*="pe"]').val('');
				});
			}
		}, 'html');
	});
	/* login */
	$('#loginForm').submit(function(e){
		e.preventDefault();
		var formData = $(this).serialize();
		$.post('inc/peRegister.php', formData, function(data) {
			/*
			 * good login - PHP returns 1
			 * bad username or password - PHP returns 0
			 */
			var returnValue = data;
			if(1 == returnValue){
				/* fade out modal and clear form */
				$('#loginWindow, #modalShade').fadeOut(function() {
					$('#loginForm input[name*="pe"]').val('');
					window.location = "3-2.php";
				});
			} else {
				/* there is an error let the user know */
				$('body').append('<div id="li" class="errorModal"><h3>There is an error with your login</h3><p>Please try again...</div>');
		        /* 
		         * define the margins so that the modal is centered properly on the screen
		         * we add 80px to the height/width to accomodate for the padding and border
		         * width defined in the css
		         */
		        var modalMarginTop = ($('#li').height() + 60) / 2;
		        var modalMarginLeft = ($('#li').width() + 60) / 2;
		        /* apply the margins to the modal window */
		        $('#li').css({
		            'margin-top' : -modalMarginTop,
		            'margin-left' : -modalMarginLeft
		        });
		        /* fade in the modal window and add a close button to it */
		        $('#li').fadeIn().prepend('<a href="#" class="close_error"><img src="grfx/close_button.png" class="close_button" title="Close Window" alt="Close" /></a>');
		        /*
		         * close the error modal and remove
		         */
		        $('a.close_error').live('click', function() {
		            $('#li').fadeOut(function() {
		                $('a.close_error, #li').remove();
		            });
		        });
			}
		}, 'html');
	});
});