/*
 * NAME: pePhotoUp.js for jQ Photographer's Exchange
 * AUTHOR: Jay Blanchard
 * DATE: 2011-03-05
 * BUSINESS RULE:   <if applicable>
 *
 * REVISION:    a20110305jb
 * STATUS:      open
 * USAGE:       call from web pages to provide gooey interactive goodness                        
 *
 * NOTES:       
 * 
 * REVISION HISTORY
 * 
 * a20110305jb  - create initial jQuery
 *
 */

$(document).ready(function() {
	/* 
	 * validate file extension for photo upload
	 * this just throws a warning, we'll weed out the
	 * actual non-photo extension files with the PHP piece. 
	 */
	$('input[name*="pUpload"]').each(function(){
		$(this).change(function(){
			/* files without these extensions will throw warning */
			var regexPhotoExt = /\.(jpg|jpeg|png)$/i;
			var photoName = $(this).val();
			/* test it! */
			var resultPhoto = regexPhotoExt.test(photoName);
	    	if(!resultPhoto){
	    		$(this).next('.error').css('display', 'inline');
	    	} else {
	    		$(this).next('.error').css('display', 'none');
	    	}
		});
	});
	
	$(function(){
		$('#uploadForm').submit(function(){
			/* create unique iFrame name */
			var iframeName = ('iframeUpload');
			/* configure iFrame */
			var iframeTemp = $('<iframe name="'+iframeName+'" src="about:blank" />');
			/* set the display properties */
			iframeTemp.css('display', 'none');			
			/* append the hidden iframe to the body */
			$('body').append(iframeTemp);
			/* submit the uploadForm */
			$(this).attr({				
				action: 'inc/photoUpload.php',
				method: 'post',
				enctype: 'multipart/form-data',
				encoding: 'multipart/form-data',
				target: iframeName
			});
			  
			setTimeout(function(){
				/* remove the iframe, its job is done here */
				iframeTemp.remove();
				/* determine total length of inputs */
				inputLength = 0;
				$('input[name*="pUpload"]').each(function() {
					inputLength += $(this).val().length;
				});
				/* 
				 * display thank you if inputs were actually loaded
				 * at the time the form was submitted 
				 */
				if(0 < inputLength){
					/* modal thank you */
					$('body').append('<div id="ty" class="thankyouModal"><h3>Thank You! Your upload is complete...</h3></div>');
					/* 
					 * define the margins so that the modal is centered properly on the screen
					 */
					var modalMarginTop = ($('#ty').height() + 60) / 2;
					var modalMarginLeft = ($('#ty').width() + 60) / 2;
					/* apply the margins to the modal window */
					$('#ty').css({
						'margin-top' : -modalMarginTop,
						'margin-left' : -modalMarginLeft
					});
					$('.thankyouModal').fadeIn('slow', function(){
						/* clear the form */
						$('input[name*="pUpload"]').val('');
						/* fade the thank you out */
						$(this).fadeOut(1500, function() {
							/* remove the modal */
							$(this).remove();
						});
					});
				};
			}, 1000);
		});
	});
});
