<?php
/*
 * TITLE:   Widget Interface Basic Layout
 * AUTHOR:  Jay Blanchard
 * DATE:    2011-05-03
 * 
 * USAGE:   call from web browser
 * 
 * REVISION:    
 *          jb20110503a - create basic layout
 */
?>
<!DOCTYPE html>
<html>
    <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>The Lodge at Mystic Forrest</title>
        <link type="text/css" rel="stylesheet" href="css/lamf.css" />
        <link type="text/css" rel="stylesheet" href="css/ui/jquery-ui-1.8.12.custom.css" />
        <script type="text/javascript" src="inc/jQuery/jquery-1.5.min.js"></script>
        <script type="text/javascript" src="inc/jQuery/jquery-ui-1.8.12.custom.min.js"></script>
        <script type="text/javascript">
        $(document).ready(function() {
            /* jQuery UI dialog */
        	$(function(){
                $('#dialog').dialog({
                    autoOpen: false,
                    width: 325,
                    modal: true,
                    resizable: false,
                    buttons: {
                        "YES": function() {
                         var formData = $('#reservationForm').serialize();
                         $.post('inc/reserve.php', formData);
                         $('#reservationForm input[type="text"]').val('');
                         $(this).dialog("close");
                        },
                        "NO": function() {
                            $(this).dialog("close");
                        }
                    }
                });
            });
                    
        	/* AJAX start and stop events */
            $('body').ajaxStart(function() {    
                /* start progressbar modal */
                $('body').append('<div id="progressbar"></div><div id="progressShade"></div>');
                var modalMarginTop = ($('#progressbar').height()) / 2;
                var modalMarginLeft = ($('#progressbar').width()) / 2;
                /* apply the margins to the modal window */
                $('#progressbar').css({
                    'margin-top' : -modalMarginTop,
                    'margin-left' : -modalMarginLeft
                });
                $('#progressShade').css('opacity', '0.4');
                $( "#progressbar" ).progressbar({
                    value: 100
                });
                $('#progressbar, #progressShade').fadeIn(250);    
            });
            $('body').ajaxStop(function() {
                /* fade and remove progressbar */
                $('#progressbar, #progressShade').fadeOut(400, function(){
                    $('#progressbar, #progressShade').remove();
                });
            });
            
            /* auto tab function */
        	function auTab (currentInput, currentInputSize, currentInputLength, nextInput) {
        	    if(currentInputSize == currentInputLength){
        	        $('#' + currentInput).next().focus();
        	    };
        	};

        	/* tabs */
            $('#contentTabs').tabs();
            
            /* set up datepickers for both dates */
            $('#arrivalDate').datepicker({
                minDate: 0,
                /* minDate for departure should be greater than minDate for arrival */
                onSelect: function(dateText) {
                    var depart = new Date(dateText);
                    depart.setDate(depart.getDate()+1);
                    $('#departureDate').datepicker({
                        minDate: depart
                    });
                }
            });
            
            /* call auto-tab */
            $('input[id^="phone"]').keyup(function() {
                var thisInput = $(this).attr('id');
                var thisInputSize = $(this).attr('size');
                var thisInputLength = $(this).val().length;
                auTab(thisInput, thisInputSize, thisInputLength);
            });
            
            /* submit reservation requests */
            $('#reservationForm').submit(function(e){
                /* dialog will call AJAX $.post */
                $('#dialog').dialog('open');
                e.preventDefault();
            });
        });
        </script>
        <style type="text/css">
        .ui-progressbar-value {
            background-image: url('css/ui/images/pbar-ani.gif');
            background-repeat: no-repeat;
        }
        </style>
    </head>
    <body>
        <div id="header"></div>
        <div id="content">
            <div id="contentTabs">
                <ul>
                    <li><a href="#welcome">Welcome to the lodge...</a></li>
                    <li><a href="#play">Play with us...</a></li>
                    <li><a href="#stay">Stay with us...</a></li>
                </ul>
                <div id="welcome">
                    <h2>Mystic Forrest welcomes you...</h2>
                    <p>Suspendisse sollicitudin consectetur vehicula. Nam facilisis massa in nibh commodo ut lobortis lorem pretium. Aenean at nibh quis tortor auctor pretium. Donec ut ornare elit. Fusce egestas pharetra laoreet. In posuere diam semper felis eleifend sagittis. Nullam vitae lectus in dui vulputate pharetra quis at eros. Sed mollis orci eget magna volutpat feugiat. Phasellus vitae massa eget elit consectetur pellentesque. Quisque malesuada sollicitudin feugiat. Fusce semper fringilla turpis in tempor. Fusce tellus sem, ultrices nec gravida in, consectetur sit amet enim. In velit nisl, venenatis a sollicitudin tristique, cursus quis eros. Suspendisse nec nunc dolor, sit amet suscipit libero. Mauris metus turpis, gravida a ultrices volutpat, pretium tristique risus. Sed sed blandit orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec ac commodo metus. Nulla ornare dapibus libero, a tristique metus semper in.</p>
                    <p>Praesent egestas, mauris eget suscipit mattis, dui tortor pretium odio, non commodo dui felis quis enim. Sed et tortor ligula. Nam est nisl, mattis quis dignissim viverra, posuere id enim. Praesent est dui, faucibus vel egestas at, fermentum nec felis. Nunc ullamcorper auctor eros, nec tempus lacus laoreet facilisis. Pellentesque tincidunt dignissim accumsan. Ut eleifend, odio eu dictum mattis, quam lectus congue odio, et tristique enim tortor eu elit. Nam sollicitudin luctus sapien, id pulvinar eros vulputate at. Nunc ut diam libero, eget faucibus arcu. Vivamus malesuada nunc sagittis diam suscipit volutpat. Nam auctor adipiscing vehicula. Vestibulum porttitor sapien a diam ultrices suscipit. Phasellus eget eros sit amet nulla varius pulvinar eget non odio.</p> 
                </div>
                <div id="play">
                    <h2>Things to do...</h2>
                    <p>Vestibulum porttitor lacinia aliquet. Proin a sem nisi, malesuada molestie velit. Donec ornare urna sit amet lectus mollis eu consectetur tellus vestibulum. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse tristique risus sed nulla pulvinar tempor. Mauris iaculis varius tincidunt. Quisque porttitor mi ac est vestibulum viverra. Maecenas in sodales libero. Quisque bibendum tincidunt nunc, eu malesuada neque viverra non. Phasellus est mi, luctus eget dignissim et, malesuada at urna. Fusce est arcu, rutrum ut ullamcorper at, molestie gravida lectus. Praesent et nisi enim, et imperdiet orci. Pellentesque viverra fermentum sem eu viverra. Fusce tincidunt scelerisque erat, at congue diam ullamcorper a. Mauris fermentum nisl et urna dictum vel egestas arcu tincidunt.</p>
                </div>
                <div id="stay">
                    <h2>Make a reservation...</h2>
                    <form name="reservationForm" id="reservationForm" method="post">
                        <label class="formLabel" for="arrivalDate">Arrival Date:</label><input type="text" name="arrivalDate" id="arrivalDate" /><br />
                        <label class="formLabel" for="departureDate">Departure Date:</label><input type="text" name="departureDate" id="departureDate" /><br />
                        <label class="formLabel" for="visitorName">Visitor Name:</label><input type="text" name="visitorName" id="visitorName" /><br />
                        <label class="formLabel" for="phoneArea">Phone Number:</label>
                        <input type="text" name="phoneArea" id="phoneArea" size="3" />
                        <input type="text" name="phoneExchange" id="phoneExchange" size="3" />
                        <input type="text" name="phoneNumber" id="phoneNumber" size="4" />
                        <br />
                        <label class="formLabel">&nbsp;</label><input class="buttons" type="submit" value="Submit Request" /><br />
                        <label class="formLabel">&nbsp;</label><input class="buttons" type="reset" value="Clear Form" /><br />
                    </form>
                </div>
            </div>
        </div>
        <div id="dialog" title="Verify Submission">
            <p>Are you sure you wish to inquire about these dates?</p>
        </div>
    </body>
</html>