<?php
/*
 * NAME: jQuery Interface Tabbed Form
 * AUTHOR: Jay Blanchard
 * DATE: 2010-09-21
 * BUSINESS RULE:	<if applicable>
 *
 * REVISION:	a20100921jb
 * STATUS:		open
 * USAGE:		interfaces using jQuery tabs
 * 
 * REVISION HISTORY
 * 
 * a20100921jb	- added revision history 
 * 
 */

?>

<script type=text/javascript>
	$(document).ready(function() {
		/* set up UI tabs */
		$("#tabs").tabs();
		/* open/close auth user panels */
		$('#secondAuth').click(function(event) {
			event.preventDefault();
			$('#authUserBox2').toggle();
		});
		$('#thirdAuth').click(function(event) {
			event.preventDefault();
			$('#authUserBox3').toggle();
		});
		/* toggle billing address panel */
		$('input[name="card_add_same"]').change(function() {
			$('#billAddress').toggle();
		});
	});
		
</script>

<div class="tabsWrapper">
		<div id="tabs" class="tabs">
			<ul>
				<li><a href="#tabs-1">Customer Info</a></li> 
				<li><a href="#tabs-2">Security</a></li>
				<li><a href="#tabs-3">Billing Options</a></li>
			</ul>
		<div id="tabs-1">
			<fieldset>	
				<form name="customer" action="" method="post">
				<label>First Name</label> <input type="text" name="first_name" size="32" maxlength="32" /><br />
				<label>Last Name</label> <input type="text" name="last_name" size="64" maxlength="64" /><br />
				<label>Street</label> <input type="text" name="street" size="64" maxlength="64" /><br />
				<label>City</label> <input type="text" name="city" size="64" maxlength="64" /><br />
				<label>State</label> <input type="text" name="state" size="2" maxlength="2" /><br />
				<label>Zip</label> <input type="text" name="zip" size="10" maxlength="10" /><br />
				<label>Home Phone</label> <input type="text" name="home_phone" size="10" maxlength="10" /><br />
				<label>Cell Phone</label> <input type="text" name="cell_phone" size="10" maxlength="10" /><br />
				<label>Fax</label> <input type="text" name="fax" size="10" maxlength="10" /><br />
				<label>Notes</label> <textarea name="notes" cols="64" rows="3"></textarea><br />
				<label></label><input type="hidden" name="action" value="create" />
				<input type="submit" name="submit" value="Submit" />&nbsp;&nbsp;<input type="reset" name="reset" value="Clear" /><br />
				</form>
			</fieldset>
		</div>
		<div id="tabs-2">
			<fieldset>
				<label>Username</label> <input type="text" name="username" size="32" maxlength="32" /><br />
				<label>Password</label> <input type="password" name="password" size="64" maxlength="64" /><br />
				<label>Security Question:<span style='color: red;'><sup>*</sup></span></label>
				<select name="sec_question" id="sec_question">
					<option label="What is your mothers maiden name?" value="What is your mothers maiden name?">What is your mothers maiden name?</option>
					<option label="What is the name of your first pet?" value="What is the name of your first pet?">What is the name of your first pet?</option>
					<option label="What is your favorite color?" value="What is your favorite color?">What is your favorite color?</option>
					<option label="What is your favorite sports team?" value="What is your favorite sports team?">What is your favorite sports team?</option>
				</select>
				<br />
				<label>Answer<span style='color: red;'><sup>*</sup></span></label><input type="text" name="sec_answer" size="64" maxlength="64" value="" /><br />
				<p>**Additional Authorized Users**</p>
				<label>First Name</label><input type="text" name="authuser" size="20" value="" /><br />
				<label>Last Name</label><input type="text" name="authuserlast" size="20" value="" /><br />
				<label class="contextHelp" title="Make sure to use a strong password">Password</label><input type="text" name="authpw" size="20" value="" /><br />
				<label>Confirm Password</label><input type="text" name="authpwconfirm" size="16" maxlength="16" value="" /><br />
				<label>Security Question:<span style='color: red;'><sup>*</sup></span></label>
				<select name="sec_question" id="sec_question">
					<option label="What is your mothers maiden name?" value="What is your mothers maiden name?">What is your mothers maiden name?</option>
					<option label="What is the name of your first pet?" value="What is the name of your first pet?">What is the name of your first pet?</option>
					<option label="What is your favorite color?" value="What is your favorite color?">What is your favorite color?</option>
					<option label="What is your favorite sports team?" value="What is your favorite sports team?">What is your favorite sports team?</option>
				</select>
				<br />
				<label>Answer<span style='color: red;'><sup>*</sup></span></label><input type="text" name="sec_answer" size="64" maxlength="64" value="" /><br />
				<a href="#" id="secondAuth">Add 2nd Auth User</a><br />
				<div id="authUserBox2">
				<label>First Name</label><input type="text" name="authuser" size="20" value="" /><br />
				<label>Last Name</label><input type="text" name="authuserlast" size="20" value="" /><br />
				<label>Password</label><input type="text" name="authpw" size="20" value="" /><br />
				<label>Confirm Password</label><input type="text" name="authpwconfirm" size="16" maxlength="16" value="" /><br />
				<label>Security Question:<span style='color: red;'><sup>*</sup></span></label>
				<select name="sec_question" id="sec_question">
					<option label="What is your mothers maiden name?" value="What is your mothers maiden name?">What is your mothers maiden name?</option>
					<option label="What is the name of your first pet?" value="What is the name of your first pet?">What is the name of your first pet?</option>
					<option label="What is your favorite color?" value="What is your favorite color?">What is your favorite color?</option>
					<option label="What is your favorite sports team?" value="What is your favorite sports team?">What is your favorite sports team?</option>
				</select>
				<br />
				<label>Answer<span style='color: red;'><sup>*</sup></span></label><input type="text" name="sec_answer" size="64" maxlength="64" value="" /><br />
				</div>
				<a href="#" id="thirdAuth">Add 3rd Auth User</a><br />
				<div id="authUserBox3">
				<label>First Name</label><input type="text" name="authuser" size="20" value="" /><br />
				<label>Last Name</label><input type="text" name="authuserlast" size="20" value="" /><br />
				<label>Password</label><input type="text" name="authpw" size="20" value="" /><br />
				<label>Confirm Password</label><input type="text" name="authpwconfirm" size="16" maxlength="16" value="" /><br />
				<label>Security Question:<span style='color: red;'><sup>*</sup></span></label>
				<select name="sec_question" id="sec_question">
					<option label="What is your mothers maiden name?" value="What is your mothers maiden name?">What is your mothers maiden name?</option>
					<option label="What is the name of your first pet?" value="What is the name of your first pet?">What is the name of your first pet?</option>
					<option label="What is your favorite color?" value="What is your favorite color?">What is your favorite color?</option>
					<option label="What is your favorite sports team?" value="What is your favorite sports team?">What is your favorite sports team?</option>
				</select>
				<br />
				<label>Answer<span style='color: red;'><sup>*</sup></span></label><input type="text" name="sec_answer" size="64" maxlength="64" value="" /><br />
				</div>			
			</fieldset>
		</div>
		<div id="tabs-3">
		<fieldset>
		<div id="autoPayOpt" >
			<label>Credit Card Type:</label>
			<select name="card_type" id="card_type">
				<option label="" value=""></option>
				<option label="Visa" value="Visa">Visa</option>
				<option label="Mastercard" value="Mastercard">Mastercard</option>
				<option label="Discover" value="Discover">Discover</option>
				<option label="American Express" value="American Express">American Express</option>
			</select>
			<br />
			<label>Credit Card Number:</label><input type="text" name="card_number" size="20" maxlength="16" value="" /><br />
			<label>Confirm Card Number:</label><input type="text" name="card_number_conf" size="20" maxlength="16" value="" /><br />
			<label>Credit Card CVV:</label><input type="text" name="cvv" size="4" maxlength="4" value="" /><br />
			<label>Expiration Date:</label>
				<select name="cardExp[Date_Month]">
					<option label="" value="" selected="selected"></option>
					<option label="01" value="01">01</option>
					<option label="02" value="02">02</option>
					<option label="03" value="03">03</option>
					<option label="04" value="04">04</option>
					<option label="05" value="05">05</option>
					<option label="06" value="06">06</option>
					<option label="07" value="07">07</option>
					<option label="08" value="08">08</option>
					<option label="09" value="09">09</option>
					<option label="10" value="10">10</option>
					<option label="11" value="11">11</option>
					<option label="12" value="12">12</option>
				</select> / 
				<select name="cardExp[Date_Year]">
					<option label="" value=""></option>
					<option label="2010" value="2010">2010</option>
					<option label="2011" value="2011">2011</option>
					<option label="2012" value="2012">2012</option>
					<option label="2013" value="2013">2013</option>
					<option label="2014" value="2014">2014</option>
					<option label="2015" value="2015">2015</option>
					<option label="2016" value="2016">2016</option>
					<option label="2017" value="2017">2017</option>
					<option label="2018" value="2018">2018</option>
					<option label="2019" value="2019">2019</option>
				</select><br />
				<label>Name on Card:</label><input type="text" name="nameOnCard" size="32" maxlength="64" value="" /><br />
				<label></label><input style="font-size: 0.8em;" type="checkbox" name="card_add_same" />
				Billing Address same as above<br />
				<div id="billAddress">
					<label>Street:</label><input type="text" name="billingStreet" size="32" maxlength="128" value="" /><br />
					<label>Apt / Suite:</label><input type="text" name="billingAptSuite" size="16" maxlength="16" value="" /><br />
					<label>City:</label><input type="text" name="billingCity" size="32" maxlength="128" value="" /><br />
					<label>State:</label><input type="text" name="billingState" size="2" maxlength="2" value="" /><br />
					<label>Zip Code:</label><input type="text" name="billingZip" size="10" maxlength="10" value="" /><br />
				</div>
				<br />
				</div>
			</fieldset>
		</div>
	</div>
</div>