/*
 * NAME:		jQuery Interface Elements
 * AUTHOR:		Jay Blanchard
 * DATE:		2011-05-14
 * 
 * REVISION:	a20110514jb
 *  
 */
$(document).ready(function() {
	/* set defaults content heights */
	var windowHeight = $(window).height();
	$("#content1").height(windowHeight - 175 + "px");
    $("#contentArea1").height(windowHeight - 205 + "px");
    $("#content2").height(windowHeight - 175 + "px");
    $("#contentArea2").height(windowHeight - 205 + "px");
	/* function to resize content areas when window is resized */
	$(window).resize(function() {
		var windowHeight = $(window).height();
		$("#content1").height(windowHeight - 175 + "px");
        $("#contentArea1").height(windowHeight - 205 + "px");
        $("#content2").height(windowHeight - 175 + "px");
        $("#contentArea2").height(windowHeight - 205 + "px");
    });
	
	/* load content */
	$('#spriteNav li a').click(function(){
		/* get the id of the item clicked */
		var clicked = $(this).attr('id');
		/* load the right file into each content area */
		var loadNav = 'inc/nav/' + clicked + '.php';
		var loadContent = 'inc/content/' + clicked + '_search.php';
		$('#contentArea1').load(loadNav);
		$("#contentArea2").load(loadContent);
	});	
	
	/* disable right-click of the mouse */
    /*$(document).bind("contextmenu",function(e){
    	e.preventDefault();
	});*/
    
    /* contextual help */
    $('body').delegate('.contextHelp', 'mouseover mouseout', function(event) {
    	if(event.type == 'mouseover'){
    		this.helpText = $(this).attr('title');
    		$(this).append('<div class="contextHelpWrapper">' + this.helpText + '</div>');
    		$(this).removeAttr('title');
    		var helpWidth = $(this).width();
    		$('.contextHelpWrapper').css({left:helpWidth-25});
    		function helpDisplay() {
    			$('.contextHelpWrapper').fadeIn(400);
    		}
    		setTimeout(helpDisplay, 1250);
    	} else if (event.type == 'mouseout') {
    		$(this).attr('title', this.helpText);
    		$('.contextHelpWrapper').fadeOut(100);
    		$('.contextHelpWrapper').remove();

    	};
    });

});